aboutsummaryrefslogtreecommitdiff
path: root/examples_utility/mixedform.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples_utility/mixedform.sh')
-rwxr-xr-xexamples_utility/mixedform.sh36
1 files changed, 30 insertions, 6 deletions
diff --git a/examples_utility/mixedform.sh b/examples_utility/mixedform.sh
index 303c1a63dd98..80b7abf93745 100755
--- a/examples_utility/mixedform.sh
+++ b/examples_utility/mixedform.sh
@@ -3,13 +3,37 @@
# SPDX-License-Identifier: CC0-1.0
#
# Written in 2021 by Alfonso Sabato Siciliano.
+#
# To the extent possible under law, the author has dedicated all copyright
# and related and neighboring rights to this software to the public domain
# worldwide. This software is distributed without any warranty, see:
-# <http://creativecommons.org/publicdomain/zero/1.0/>.
+# <http://creativecommons.org/publicdomain/zero/1.0/>.
+
+: ${BSDDIALOG_ERROR=255}
+: ${BSDDIALOG_OK=0}
+: ${BSDDIALOG_CANCEL=1}
+: ${BSDDIALOG_ESC=5}
+
+FORMS=$(./bsddialog --insecure --title " mixedform " \
+ --mixedform "Hello World!" 12 40 3 \
+ Label: 1 1 Entry 1 11 18 25 0 \
+ Label: 2 1 Read-Only 2 11 18 25 2 \
+ Password: 3 1 "" 3 11 18 25 1 \
+3>&1 1>&2 2>&3 3>&-)
+
+case $? in
+ $BSDDIALOG_ERROR )
+ exit 1
+ ;;
+ $BSDDIALOG_ESC )
+ echo "[ESC]"
+ ;;
+ $BSDDIALOG_CANCEL )
+ echo "[Cancel]"
+ ;;
+ $BSDDIALOG_OK )
+ echo "[OK]"
+ ;;
+esac
-./bsddialog --insecure --title " mixedform " --mixedform "Hello World!" 12 40 5 \
- Label: 11 Entry 1 11 18 25 0 \
- Label: 21 Read-Only 2 11 18 25 2 \
- Password: 31 "" 3 11 18 25 1 \
- 2>out.txt ; cat out.txt ; rm out.txt
+echo "$FORMS"